mkTuple: {
	"org/gnome/shell/extensions/pop-shell" = {
		tile-move-down-global=["<Alt><Shift>j"];
		tile-move-up-global=["<Alt><Shift>k"];
		tile-move-left-global=["<Alt><Shift>h"];
		tile-move-right-global=["<Alt><Shift>l"];
		focus-down=["<Alt>j"];
		focus-up=["<Alt>k"];
		focus-left=["<Alt>h"];
		focus-right=["<Alt>l"];
		tile-orientation=["<Alt>o"];
		tile-floating=["<Alt>g"];
		tile-stacking-global=["<Alt>s"];

		active-hint=true;
		active-hint-border-radius=true;
		show-title=false;
		smart-gaps=true;
		snap-to-grid=true;
		tile-by-default=true;
	};
	"org/gnome/settings-daemon/plugins/media-keys" = {
		custom-keybindings = ["/org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal/"];
		screensaver = ["<Alt>Escape"];
	};
	"org/gnome/settings-daemon/plugins/media-keys/custom-keybindings/terminal" = {
		binding="<Alt>t";
		command="kitty";
		name="Terminal";
	};
	"org/gnome/settings-daemon/plugins/power" = {
		ambient-enabled = false;
	};
	"org/gnome/mutter" = {
		dynamic-workspaces=false;
		overlay-key="Alt_L";
		# Enable fractional scaling
		experimental-features=["scale-monitor-framebuffer"];
	};
	"org/gnome/desktop/interface" = {
		show-battery-percentage=true;
	};

	"org/gnome/shell" = {
		favorite-apps=["org.gnome.Nautilus.desktop"];
	};
	"org/gnome/desktop/input-sources" = {
		show-all-sources=true;
		sources=[
			(mkTuple ["xkb" "us+3l"])
			(mkTuple ["xkb" "us"])
		];
	};
	"org/gnome/desktop/wm/preferences" = {
		num-workspaces=5;
	};
	"org/gnome/desktop/wm/keybindings" = {
		minimize=["<Alt>comma"];
		switch-to-workspace-left=[];
		switch-to-workspace-right=[];
		maximize=[];
		unmaximize=[];
		move-to-monitor-up=[];
		move-to-monitor-down=[];
		move-to-monitor-left=[];
		move-to-monitor-right=[];
		switch-to-workspace-down=[];
		switch-to-workspace-up=[];
		toggle-fullscreen=["<Alt>m"];
		close=["<Alt>q"];
		switch-to-workspace-1=["<Alt>1"];
		switch-to-workspace-2=["<Alt>2"];
		switch-to-workspace-3=["<Alt>3"];
		switch-to-workspace-4=["<Alt>4"];
		switch-to-workspace-5=["<Alt>5"];
		move-to-workspace-1=["<Alt><Shift>1"];
		move-to-workspace-2=["<Alt><Shift>2"];
		move-to-workspace-3=["<Alt><Shift>3"];
		move-to-workspace-4=["<Alt><Shift>4"];
		move-to-workspace-5=["<Alt><Shift>5"];
	};
	"org/gnome/shell/keybindings" = {
		open-application-menu=[];
		toggle-message-tray=[];
		toggle-overview=[];
	};
	"org/gnome/mutter/keybindings" = {
		toggle-tiled-left=[];
		toggle-tiled-right=[];
	};
}